Package com.sun.speech.freetts

# Interface PathExtractor

All Known Implementing Classes:
  `PathExtractorImpl`

public interface PathExtractor
Manages a feature or item path. Allows navigation to the corresponding feature or item.

## Method Summary

Modifier and Type
Method
Description
`Object`
`findFeature(Item item)`
Finds the feature associated with this object.
`Item`
`findItem(Item item)`
Finds the item associated with this object.

## Method Details

### findItem

Item findItem(Item item)
Finds the item associated with this object.

Parameters:
  `item` - the starting point for the path navigation
Returns:
  the item associated with the path or null

### findFeature

Object findFeature(Item item)
Finds the feature associated with this object.

Parameters:
  `item` - the starting point for the path navigation
Returns:
  the feature associated or "0" if the feature was not found